پرداختی ها
GET https://qr.nimico.ir/api/payments/
curl --request GET \
--url 'https://qr.nimico.ir/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.nimico.ir/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| پارامتر ها | جزئیات | توضیحات |
|---|---|---|
| processor | اختیاری String | مقدار مجاز: zarinpal, mellat, parsian, offline_payment |
| status | اختیاری String | مقدار مجاز: paid, pending, cancelled, refunded |
| type | اختیاری String | مقدار مجاز: one_time, recurring |
| frequency | اختیاری String | مقدار مجاز: monthly, quarterly, biannual, annual, lifetime |
| datetime_field | اختیاری String | مقدار مجاز: datetime |
| datetime_start | اختیاری String | فیلتر نتایج از این تاریخ و زمان شروع شود. فرمت Y-m-d H:i:s. |
| datetime_end | اختیاری String | فیلتر نتایج تا این تاریخ و زمان ادامه یابد. فرمت Y-m-d H:i:s. |
| order_by | اختیاری String | نتایج را بر اساس چه مرتب سازی کنیم. مقادیر مجاز عبارتند از: id, datetime, total_amount. |
| order_type | اختیاری String | ترتیب نتایج. مقادیر مجاز عبارتند از: ASC برای ترتیب صعودی و DESC برای ترتیب نزولی. |
| page | اختیاری Integer | شماره صفحه ای که می خواهید از آن نتیجه بگیرید. پیشفرض 1 است. |
| results_per_page | اختیاری Integer | در هر صفحه چند نتیجه می خواهید. مقادیر مجاز عبارتند از: 10, 25, 50, 100, 250, 500, 1000. پیشفرض 25 است. |
{
"data": [
{
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-08-12 14:22:54",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qr.nimico.ir/api/payments?page=1",
"last": "https://qr.nimico.ir/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://qr.nimico.ir/api/payments?page=1"
}
}
GET https://qr.nimico.ir/api/payments/{payment_id}
curl --request GET \
--url 'https://qr.nimico.ir/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr.nimico.ir/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-08-12 14:22:54",
}
}